Debian Bug report logs - #688520
ITA: libqglviewer - OpenGL 3D viewer library based on Qt

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Artur R. Czechowski" <arturcz@hell.pl>

Date: Sun, 23 Sep 2012 13:18:01 UTC

Owned by: Anton Gladky <gladk@debian.org>

Severity: normal

Fixed in version libqglviewer/2.3.17-1

Done: Anton Gladky <gladk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-science-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#688520; Package wnpp. (Sun, 23 Sep 2012 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Artur R. Czechowski" <arturcz@hell.pl>:
New Bug report received and forwarded. Copy sent to debian-science-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Sun, 23 Sep 2012 13:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libqglviewer - OpenGL 3D viewer library based on Qt
Date: Sun, 23 Sep 2012 15:14:47 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

As I am not using libqglviewer anymore I would like to pass the
maintainership to other person.

The most current work on this package is available on mentors.d.o[1]. Please
read comments places here.

Notifying debian-science-maintainers, because yade is only one package using
qglviewer at the moment.

Regards
        Artur

[1] http://mentors.debian.net/package/libqglviewer
-- 
- God, root, what's the difference?
- God has mercy
                                                      /Illiad, "User friendly"/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688520; Package wnpp. (Sun, 23 Sep 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Sep 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 688520@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: control@bugs.debian.org
Cc: "Artur R. Czechowski" <arturcz@hell.pl>, 688520@bugs.debian.org
Subject: Re: Bug#688520: O: libqglviewer - OpenGL 3D viewer library based on Qt
Date: Sun, 23 Sep 2012 21:53:02 +0200
owner 688520 !
thanks



Owner recorded as Anton Gladky <gladky.anton@gmail.com>. Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Sun, 23 Sep 2012 19:57:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Anton Gladky <gladky.anton@gmail.com>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Mon, 24 Sep 2012 05:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688520; Package wnpp. (Mon, 24 Sep 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 Sep 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #19 received at 688520@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: control@bugs.debian.org
Cc: 688520@bugs.debian.org
Date: Mon, 24 Sep 2012 19:53:07 +0200
retitle 688520 ITA: libqglviewer - OpenGL 3D viewer library based on Qt
owner 688520 !
thanks



Changed Bug title to 'ITA: libqglviewer - OpenGL 3D viewer library based on Qt' from 'O: libqglviewer - OpenGL 3D viewer library based on Qt' Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Mon, 24 Sep 2012 17:57:05 GMT) Full text and rfc822 format available.

Owner recorded as Anton Gladky <gladky.anton@gmail.com>. Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Mon, 24 Sep 2012 17:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#688520; Package wnpp. (Sun, 09 Dec 2012 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 09 Dec 2012 17:24:03 GMT) Full text and rfc822 format available.

Message #28 received at 688520@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 688520@bugs.debian.org
Subject: Git-repo
Date: Sun, 9 Dec 2012 18:21:20 +0100
The git-repo with updated packaging stuff is:
http://anonscm.debian.org/gitweb/?p=debian-science/packages/libqglviewer.git

Anton



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 07:06:07 GMT) Full text and rfc822 format available.

Owner changed from Anton Gladky <gladky.anton@gmail.com> to Anton Gladky <gladk@debian.org>. Request was from Anton Gladky <gladk@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 09:06:14 GMT) Full text and rfc822 format available.

Reply sent to Anton Gladky <gladk@debian.org>:
You have taken responsibility. (Wed, 30 Jan 2013 10:03:11 GMT) Full text and rfc822 format available.

Notification sent to "Artur R. Czechowski" <arturcz@hell.pl>:
Bug acknowledged by developer. (Wed, 30 Jan 2013 10:03:11 GMT) Full text and rfc822 format available.

Message #37 received at 688520-close@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladk@debian.org>
To: 688520-close@bugs.debian.org
Subject: Bug#688520: fixed in libqglviewer 2.3.17-1
Date: Wed, 30 Jan 2013 10:00:12 +0000
Source: libqglviewer
Source-Version: 2.3.17-1

We believe that the bug you reported is fixed in the latest version of
libqglviewer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 688520@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anton Gladky <gladk@debian.org> (supplier of updated libqglviewer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Jan 2013 23:07:30 +0100
Source: libqglviewer
Binary: libqglviewer-dev libqglviewer2 libqglviewer-doc
Architecture: source i386 all
Version: 2.3.17-1
Distribution: experimental
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Anton Gladky <gladk@debian.org>
Description: 
 libqglviewer-dev - OpenGL 3D viewer library based on Qt4 - development files
 libqglviewer-doc - OpenGL 3D viewer library - header files and documentation
 libqglviewer2 - OpenGL 3D viewer library based on Qt - runtime library
Closes: 688520 691441 697660
Changes: 
 libqglviewer (2.3.17-1) experimental; urgency=low
 .
   [ Artur R. Czechowski ]
   * New upstream release:
     + uses CONFIG += no_keywords so that the library can be used with Boost
       (LP: #414975) (Closes: #697660)
   * Using upstream name convention: libQGLViewer instead of libqglviewer
   * Don't build Qt3 version anymore
   * Drop no longer needed patches:
     + 01qt3-qt4
     + 04glu-include
     + 99compile-examples
   * Convert to 3.0 (quilt) format
     + remove dpatch from Build-Deps and all calls from debian/rules
     + update patches in debian/patches
     + replace debian/00list with debian/series
     + remove README.source
     + rename remaining patches - remove NN prefix
   * Pass multiarch related LIB_DIR to qmake in debian/rules
   * Lintian cleanup:
     + fix descriptions
     + libqglviewer-qt4-2 depends on ${misc:Depends}
     + build-arch and build-indep provided in debian/rules
   * Update Standards-Version to 3.9.3
     + sort Breaks/Replaces/Provides dependencies for transition
   * Remove transition related stuff. The dev package is libqglviewer-dev,
     the shared library package is libqglviewer2.
   * Headers moved from libqglviewer-dev-common to libqglviewer-dev
   * Documentation moved from libqglviewer-dev-common to new libqglviewer-doc
   * Remove debian/README.Multiflavour and other qt3 related artifacts from
     debian/
   * README.Debian cleanup
     + Merge all *.README.Debian into one file - the content is the same
     + Corrected upstream name in README.Debian
     + Updated URL of homepage
   * Provide upstreams GPL_EXCEPTION file, mention it in copyright one.
   * Tighten shlibs dependencies, as upstream confirmed no ABI compatibility
     is assured between even minor releases
   * Hardening the binaries
     + build depends on dpkg-dev > 1.16.1~
     + use dpkg-buildflags
     + pass build flags to qmake
     + don't remove -g option in qmake - new patch: compile-with--g-option
     + add lintian overrides for false positive hardening-no-stackprotector
       warning, see #673112
 .
   [ Anton Gladky ]
   * [4b87fd4] Use compat-level 9.
   * [2a3db76] Clean in rules-file.
   * [51c8386] Use override_dh commands.
   * [b79d40d] Use DEP-5 for copyright-file.
               Remove adding exception in each package.
   * [934a9b8] Remove compile-with--g-option patch. The -g options is transmitted
               with other CFLAGS in debian/rules.
   * [173c034] Remove olsolete DM-Upload-Allowed flag.
   * [e694744] Change maintainership to Debian-Science Team. (Closes: #688520)
   * [f0627f1] Remove symlink of copyright-file during upgrade. (Closes: #691441)
   * [f79e4f8] Properly remove old binaries.
   * [1a200fe] Bumped Standards-Version: 3.9.4. No changes.
Checksums-Sha1: 
 ed36932f248a63a47e82efa8d4d54edda4f78f20 2223 libqglviewer_2.3.17-1.dsc
 03b1da73bdb07988184c1f5d7c1c360be27b2a0e 2973012 libqglviewer_2.3.17.orig.tar.gz
 967c64179e7f8b95095f9ad06f36708d3ecefe3e 8618 libqglviewer_2.3.17-1.debian.tar.gz
 ce60fab59a6a3b8947b925b7ccb84004eced1481 401694 libqglviewer-dev_2.3.17-1_i386.deb
 1502274ee5bc1c1c54bcdcafea6106dcc81a29b0 262572 libqglviewer2_2.3.17-1_i386.deb
 121e95363c8553337dbc57d1b630243846ce9528 2595158 libqglviewer-doc_2.3.17-1_all.deb
Checksums-Sha256: 
 f2b9a75082b4aaed269bec9b795688a0c12b48bf0a082f188b6b2c87fa271a83 2223 libqglviewer_2.3.17-1.dsc
 3319f2ea9a26a4abe8ed8b593f93a390ff4cad1e435406580999faec702a5926 2973012 libqglviewer_2.3.17.orig.tar.gz
 72542b7fa8f6ac4de492ebe850392db7ea274908ea3f16c6a4db3813a5935115 8618 libqglviewer_2.3.17-1.debian.tar.gz
 cd4460339fcf101217bee51d84e4570559d090722ed4b2867083fc1d82268c34 401694 libqglviewer-dev_2.3.17-1_i386.deb
 ad0515d86469f4ee0a878241cb9e08b135636793108acc9aedc912b40ae14bac 262572 libqglviewer2_2.3.17-1_i386.deb
 243a647d33f60901a4df8b1095923a8d7e9016058d175d18e7b05b9bd6a07792 2595158 libqglviewer-doc_2.3.17-1_all.deb
Files: 
 706ee0c56b0dcf3aeb6ba35eb4e56ca7 2223 libs optional libqglviewer_2.3.17-1.dsc
 f565ce9fa424c5f51e222dc2712ca42e 2973012 libs optional libqglviewer_2.3.17.orig.tar.gz
 adb5b3292151cd5fb832a0c159278eee 8618 libs optional libqglviewer_2.3.17-1.debian.tar.gz
 ee48729295998f965264235c917206b8 401694 libdevel optional libqglviewer-dev_2.3.17-1_i386.deb
 c6a166c234192873617eb12e3b9ca1b5 262572 libs optional libqglviewer2_2.3.17-1_i386.deb
 78445082603b96446ed3f1dae4ee75d9 2595158 doc optional libqglviewer-doc_2.3.17-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRAw1GAAoJENPhc4PPp/8G4K8P/iCcpC2TtfKLwdjAbbgYUHfv
ZDhSYkk6XSnJOTneBq7Aj5/lJbRhlDXcJ9Z+AacMb6z1/0gQ9H9FFf3ByW+qewOT
/PAncPVD2Egc9EfwrTo1K4CCpCgVu4D1I6PaA2g2Ku8ZLoJS2Dte5Lm9wFA0acFu
gSVjQpQFHNvgSMLX36wO5a+96vH7rvWRdvQW2Wmw0uaNFwTmGPkY4puRx+6l6LQj
N/i2+Y2G7ZPzpSEOo+/Fa6BJfGbcSlIOMkVYj6avWZRw7SKYadL4oRSSapgfol3h
Oto0zAUOf9tNIuBa4C/CjYuDBeW3FEzhX50FSoKJ0Fzmv5VB0SFHDqRSGathK3qm
6XFgGwaxaKRgU8BR1w99ejOGdybmPEoiD4Ky8Z0bDv+W53Cnr4+iNfEJ05jet9WJ
4pJ5/z3GKj0joIjthS3GRPagAas/o9t8LDAUyC9adO7mlB3qv/2wFlbUExsR9pA3
J1f+kW8dzLo8c/S1mnnzjrda5dfRYK+KTyDmuVNGh7y2u934Ig4CTiiFG5OIdXbD
VNk9lv5XGOvVMAXE12DguzJiD3anAgXgqG7Fl2H334D9Oy35i0IXUwpUoVhoWn6h
cgOzw5Mzlz4xSqMicHgH0eLNuNu1ER+p0n4Yjj4YQyThin3zjYXhCClImN2RoGoe
I5WBHe16gxSm+s3G5o+J
=zfFI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Feb 2013 07:26:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:11:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.